Package com.independentsoft.office.word.fields

# Class TableOfContentsEntry

java.lang.Object
com.independentsoft.office.word.fields.Field
com.independentsoft.office.word.fields.TableOfContentsEntry

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class TableOfContentsEntry extends Field
The Class TableOfContentsEntry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableOfContentsEntry()`
  Instantiates a new table of contents entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableOfContentsEntry`
  `clone()`
  `int`
  `getLevel()`
  Gets the level.
  `String`
  `getType()`
  Gets the type.
  `boolean`
  `isOmitPageNumber()`
  Checks if is omit page number.
  `void`
  `setLevel​(int level)`
  Sets the level.
  `void`
  `setOmitPageNumber​(boolean omitPageNumber)`
  Sets the omit page number.
  `void`
  `setType​(String type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.fields.Field

  `getContentElements, getFieldCodes, parse`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableOfContentsEntry

    public TableOfContentsEntry()
    Instantiates a new table of contents entry.

- ## Method Details

  - ### clone

    public TableOfContentsEntry clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Specified by:
      `clone` in class `Field`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public String getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(String type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getLevel

    public int getLevel()
    Gets the level.
    Returns:
      the level

  - ### setLevel

    public void setLevel​(int level)
    Sets the level.
    Parameters:
      `level` - the new level

  - ### isOmitPageNumber

    public boolean isOmitPageNumber()
    Checks if is omit page number.
    Returns:
      true, if is omit page number

  - ### setOmitPageNumber

    public void setOmitPageNumber​(boolean omitPageNumber)
    Sets the omit page number.
    Parameters:
      `omitPageNumber` - the new omit page number